Subject: [alpine-devel] [PATCH] testing/ocaml: new aport

From: Borys Zhukov <[email-masked]>
Date: Thu, 12 Apr 2012 02:53:10 +0000

---
 testing/ocaml/APKBUILD |   51 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 51 insertions(+)
 create mode 100644 testing/ocaml/APKBUILD

diff --git a/testing/ocaml/APKBUILD b/testing/ocaml/APKBUILD
new file mode 100644
index 0000000..42c837f
--- /dev/null
+++ b/testing/ocaml/APKBUILD
@@ -0,0 +1,51 @@
+# Contributor: Borys Zhukov <[email-masked]>
+# Maintainer: Borys Zhukov <[email-masked]>
+pkgname=ocaml
+pkgver=3.12.1
+pkgrel=0
+pkgdesc="Main implementation of the Caml programming language"
+url="http://caml.inria.fr"
+arch="all"
+license="QPL/GPLv2"
+depends="gdbm"
+depends_dev="ncurses"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://caml.inria.fr/pub/distrib/ocaml-3.12/$pkgname-$pkgver.tar.gz
+	"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure -bindir /usr/bin \
+		-libdir /usr/lib/ocaml \
+		-mandir /usr/share/man \
+		-no-tk \
+		|| return 1
+	make -j1 world.opt || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make BINDIR="$pkgdir"/usr/bin LIBDIR="$pkgdir"/usr/lib/ocaml MANDIR="$pkgdir"/usr/share/man install || return 1
+	
+	install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+	
+	install -Dm644 INSTALL "$pkgdir"/usr/share/doc/$pkgname/INSTALL
+	install -Dm644 Changes "$pkgdir"/usr/share/doc/$pkgname/Changes
+	install -Dm644 README "$pkgdir"/usr/share/doc/$pkgname/README
+	
+	find "$pkgdir"/usr/lib/ocaml -name \*.ml -delete
+}
+md5sums="814a047085f0f901ab7d8e3a4b7a9e65  ocaml-3.12.1.tar.gz"
-- 
1.7.9.6

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---